Typescript (SDK)
import { Autumn } from 'autumn-js'
const autumn = new Autumn()
const result = await autumn.features.list();from autumn_sdk import Autumn
autumn = Autumn(secret_key="am_sk_test...")
res = autumn.features.list()curl --request POST \
--url https://api.useautumn.com/v1/features.list \
--header 'Authorization: Bearer <token>' \
--header 'x-api-version: <x-api-version>'{
"list": [
{
"id": "api-calls",
"name": "API Calls",
"type": "metered",
"consumable": true,
"archived": false,
"display": {
"singular": "API call",
"plural": "API calls"
}
},
{
"id": "credits",
"name": "Credits",
"type": "credit_system",
"consumable": true,
"archived": false,
"credit_schema": [
{
"metered_feature_id": "api-calls",
"credit_cost": 1
},
{
"metered_feature_id": "image-generations",
"credit_cost": 10
}
],
"display": {
"singular": "credit",
"plural": "credits"
}
}
]
}
Features
List Features
Lists all features in the current environment.
Use this to retrieve all features configured for your organization to display in dashboards or for feature management.
POST
/
v1
/
features.list
Typescript (SDK)
import { Autumn } from 'autumn-js'
const autumn = new Autumn()
const result = await autumn.features.list();from autumn_sdk import Autumn
autumn = Autumn(secret_key="am_sk_test...")
res = autumn.features.list()curl --request POST \
--url https://api.useautumn.com/v1/features.list \
--header 'Authorization: Bearer <token>' \
--header 'x-api-version: <x-api-version>'{
"list": [
{
"id": "api-calls",
"name": "API Calls",
"type": "metered",
"consumable": true,
"archived": false,
"display": {
"singular": "API call",
"plural": "API calls"
}
},
{
"id": "credits",
"name": "Credits",
"type": "credit_system",
"consumable": true,
"archived": false,
"credit_schema": [
{
"metered_feature_id": "api-calls",
"credit_cost": 1
},
{
"metered_feature_id": "image-generations",
"credit_cost": 10
}
],
"display": {
"singular": "credit",
"plural": "credits"
}
}
]
}
Response
{
"list": [
{
"id": "api-calls",
"name": "API Calls",
"type": "metered",
"consumable": true,
"archived": false,
"display": {
"singular": "API call",
"plural": "API calls"
}
},
{
"id": "credits",
"name": "Credits",
"type": "credit_system",
"consumable": true,
"archived": false,
"credit_schema": [
{
"metered_feature_id": "api-calls",
"credit_cost": 1
},
{
"metered_feature_id": "image-generations",
"credit_cost": 10
}
],
"display": {
"singular": "credit",
"plural": "credits"
}
}
]
}
Was this page helpful?
⌘I